summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorJeroen Roovers <jer@gentoo.org>2015-08-22 07:16:20 +0200
committerJeroen Roovers <jer@gentoo.org>2015-08-22 07:16:20 +0200
commit0890a90aea6e33173ad59fa490052f27516f203e (patch)
tree24fdb747858bddefba94f8c42e93f81c8adc5770
parentapp-admin/denyhosts: Stable for HPPA (bug #556522). (diff)
downloadgentoo-0890a90aea6e33173ad59fa490052f27516f203e.tar.gz
gentoo-0890a90aea6e33173ad59fa490052f27516f203e.tar.bz2
gentoo-0890a90aea6e33173ad59fa490052f27516f203e.zip
dev-perl/Curses: Fix building against >=sys-libs/ncurses-6.0 (bug #557434 by Bernard Cafarelli).
Package-Manager: portage-2.2.20.1
-rw-r--r--dev-perl/Curses/Curses-1.320.0.ebuild12
-rw-r--r--dev-perl/Curses/files/Curses-1.08-p5.8-fixes.diff32
2 files changed, 8 insertions, 36 deletions
diff --git a/dev-perl/Curses/Curses-1.320.0.ebuild b/dev-perl/Curses/Curses-1.320.0.ebuild
index 9b6ff027d42..7e85c677c5b 100644
--- a/dev-perl/Curses/Curses-1.320.0.ebuild
+++ b/dev-perl/Curses/Curses-1.320.0.ebuild
@@ -20,16 +20,20 @@ RDEPEND="${DEPEND}"
SRC_TEST="do"
-my_curses_version() {
+my_curses_unicode() {
echo ncurses$(use unicode && echo w)
}
+my_curses_version() {
+ echo ncurses$(use unicode && echo w)$(has_version '>sys-libs/ncurses-6' && echo 6 || echo 5)
+}
+
pkg_setup() {
myconf="${myconf} FORMS PANELS MENUS"
mydoc=HISTORY
- export CURSES_LIBTYPE=$(my_curses_version)
- export CURSES_LDFLAGS=$($(my_curses_version)5-config --libs)
- export CURSES_CFLAGS=$( $(my_curses_version)5-config --cflags)
+ export CURSES_LIBTYPE=$(my_curses_unicode)
+ export CURSES_LDFLAGS=$($(my_curses_version)-config --libs)
+ export CURSES_CFLAGS=$( $(my_curses_version)-config --cflags)
}
src_configure(){
diff --git a/dev-perl/Curses/files/Curses-1.08-p5.8-fixes.diff b/dev-perl/Curses/files/Curses-1.08-p5.8-fixes.diff
deleted file mode 100644
index f661f80ff03..00000000000
--- a/dev-perl/Curses/files/Curses-1.08-p5.8-fixes.diff
+++ /dev/null
@@ -1,32 +0,0 @@
-diff -Naurp CursesFun.c.old CursesFun.c
---- CursesFun.c.old 2005-03-05 09:15:20.714006864 -0500
-+++ CursesFun.c 2005-03-05 09:16:14.501829872 -0500
-@@ -1276,8 +1276,8 @@ XS(XS_Curses_newterm)
- c_exactargs("newterm", items, 3);
- {
- char * type = ST(0) != &PL_sv_undef ? (char *)SvPV(ST(0),PL_na) : NULL;
-- FILE * outfd = IoIFP(sv_2io(ST(1)));
-- FILE * infd = IoIFP(sv_2io(ST(2)));
-+ FILE * outfd = PerlIO_findFILE(IoIFP(sv_2io(ST(1))));
-+ FILE * infd = PerlIO_findFILE(IoIFP(sv_2io(ST(2))));
- SCREEN * ret = newterm(type, outfd, infd);
-
- ST(0) = sv_newmortal();
-@@ -3450,7 +3450,7 @@ XS(XS_Curses_putwin)
- c_exactargs("putwin", items, 2);
- {
- WINDOW *win = c_sv2window(ST(0), 0);
-- FILE * filep = IoIFP(sv_2io(ST(1)));
-+ FILE * filep = PerlIO_findFILE(IoIFP(sv_2io(ST(1))));
- int ret = putwin(win, filep);
-
- ST(0) = sv_newmortal();
-@@ -3469,7 +3469,7 @@ XS(XS_Curses_getwin)
- #ifdef C_GETWIN
- c_exactargs("getwin", items, 1);
- {
-- FILE * filep = IoIFP(sv_2io(ST(0)));
-+ FILE * filep = PerlIO_findFILE(IoIFP(sv_2io(ST(0))));
- WINDOW * ret = getwin(filep);
-
- ST(0) = sv_newmortal();